Subject: Re: Customer Service Advisor - Work From Home - Phone Support - Ma Cristina Lauresta applied on Indeed
From: "Ma Cristina Lauresta" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Fri, 29 Jul 2022 07:08:58 -0500 (CDT)

Good evening! Sorry for this. I might not attend the meeting as I missed to check the job discription- inbound calls-. I can only assist customers via email or chat. Thank you.

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3C1e4d5917-3145-4280-97fb-c0b12bf0256c%40indeedemail.com%3E&hl=en_PH&co=PH>

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.